## org.mortbay.jetty.deployer
Class ContextDeployer.ScannerListener

    java.lang.Object
      org.mortbay.jetty.deployer.ContextDeployer.ScannerListener

All Implemented Interfaces:
  Scanner.DiscreteListener, Scanner.Listener

Enclosing class:
  ContextDeployer

    protected class ContextDeployer.ScannerListener

extends Object
implements Scanner.DiscreteListener

Constructor Summary
`protected` `ContextDeployer.ScannerListener()`

Method Summary
`void` `fileAdded(String filename)` Handle a new deployment
`void` `fileChanged(String filename)` Handle a change to an existing deployment.
`void` `fileRemoved(String filename)` Handle an undeploy.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextDeployer.ScannerListener

    protected ContextDeployer.ScannerListener()

Method Detail

### fileAdded

    public void fileAdded(String filename)
                   throws Exception

  Handle a new deployment

  Specified by:
    `fileAdded` in interface `Scanner.DiscreteListener`
  Throws:
    `Exception`
  See Also:
    `org.mortbay.util.Scanner.FileAddedListener#fileAdded(java.lang.String)`

### fileChanged

    public void fileChanged(String filename)
                     throws Exception

  Handle a change to an existing deployment. Undeploy then redeploy.

  Specified by:
    `fileChanged` in interface `Scanner.DiscreteListener`
  Throws:
    `Exception`
  See Also:
    `org.mortbay.util.Scanner.FileChangedListener#fileChanged(java.lang.String)`

### fileRemoved

    public void fileRemoved(String filename)
                     throws Exception

  Handle an undeploy.

  Specified by:
    `fileRemoved` in interface `Scanner.DiscreteListener`
  Throws:
    `Exception`
  See Also:
    `org.mortbay.util.Scanner.FileRemovedListener#fileRemoved(java.lang.String)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.